local addon, w = ...
local options = {}
local info








info = {}
info.text = "\124TInterface\\MacroFrame\\MacroFrame-Icon:24\124t WonderBar"
info.isTitle = true
info.notCheckable = true
table.insert(options, info)



info = {}
info.text = ""
info.isTitle = true
info.notCheckable = true
table.insert(options, info)

local function OpenMe()
	LoadAddonOnce(addon.."_Panel")
	local panel = _G[addon.."_PanelFrameParent"]
	if ( panel:IsShown() ) then
		panel:Hide()
	else
		panel:Show()
	end
end


info = {}
info.text = "Toggle Config panel"
info.hasArrow = false
info.notCheckable = true
info.func = OpenMe

table.insert(options, info)

info = {}
info.text = ""
info.isTitle = true
info.notCheckable = true
table.insert(options, info)




info = {}
info.text = "Show the Range indicator"
info.hasArrow = false
info.notCheckable = false
info.func = function()
	local b = WonderBarOptions.range
	WonderBarOptions.range = not b
	if ( b ) then
		UnregisterEvent(RangeIndicatorOnEvent, "PLAYER_TARGET_CHANGED")
		TimerInit("range", HideRangeIndicator, 0) 
	else	
		if ( UnitExists("target") ) then
			TimerInit("range", ShowRangeIndicator, 0) 
		end
		RegisterEvent(RangeIndicatorOnEvent, "PLAYER_TARGET_CHANGED")
	end
end
info.checked = function() return WonderBarOptions.range end
table.insert(options, info)




info = {}
info.text = "Your Pet bar pull up the chat"
info.hasArrow = false
info.notCheckable = false
info.func = function() WonderBarOptions.chat = not WonderBarOptions.chat end
info.checked = function() return WonderBarOptions.chat end
table.insert(options, info)

info = {}
info.text = "Lock your bars in combat"
info.hasArrow = false
info.notCheckable = false
info.func = function()
	local b = not WonderBarOptions.lock
	WonderBarHandler:Execute("lock = "..tostring(b)) 
	WonderBarOptions.lock = b
end
info.checked = function() return WonderBarOptions.lock end
table.insert(options, info)
	


info = {}
info.text = "Hide the Experience bar"
info.hasArrow = false
info.notCheckable = false
info.func = function()
	WonderBarOptions.xp = not WonderBarOptions.xp
	if ( WonderBarOptions.xp ) then
		MainMenuExpBar:SetParent(MainMenuBar)
	else
		MainMenuExpBar:SetParent(UIParent)
	end
	
end

info.checked = function() return WonderBarOptions.xp end
table.insert(options, info)



w.options = options


NewMinimapButton(addon.."MinimapButton", nil, options, "Interface\\MacroFrame\\MacroFrame-Icon", OpenMe)
