local t = {}

function string.concat(text, del, ...)
	for i = 1, select("#", ...) do 
		text = text..del..select(i, ...) 
	end
	return text
end

function string.pop(text, del, pack)
	wipe(t)
	del = "[^"..del.."]+"
	for v in text:gmatch(del) do
   		table.insert(t, v)
   	end
	if ( pack ) then
		return t
	else
		return unpack(t)
	end
end

function string.color(text, color)
	return "|cff"..color..text.."|r"
end

function string.link(text, type, value, color)
	return "|H"..type..":"..tostring(value).."|h"..tostring(text):color(color or "ffffff").."|h"
end
