local t = {}
local f = {}

CreateFrame("Frame"):SetScript("OnUpdate", function(self, elapsed)
	for k, v in next, t do
		v = v+elapsed
		if ( v > 0 ) then
			t[k] = f[k](k, v)
		else
			t[k] = v
		end 
	end
end)


function TimerInit(k, fct, timer)
	f[k] = fct
	if ( timer ) then
		TimerStart(k, timer)
	end
end

function TimerStop(k)
	t[k] = nil
end

function TimerStart(k, timer)
	t[k] = -timer
end

function OnUpdateStatusBar(self, timer)
	timer = self.timer-timer
	if ( timer > 0 ) then
		self:SetValue(timer)
		self.timer = timer
	else
		self:Hide()
	end
end

