local addon, w = ...

local parent = MainMenuBarBackpackButton
MainMenuBarBackpackButton:ClearAllPoints()
MainMenuBarBackpackButton:SetParent(UIParent)
MainMenuBarBackpackButton:SetPoint("BOTTOMRIGHT", -12, 24)
MainMenuBarBackpackButton:Hide()
CharacterBag0Slot:SetParent(parent)
CharacterBag1Slot:SetParent(parent)
CharacterBag2Slot:SetParent(parent)
CharacterBag3Slot:SetParent(parent)
KeyRingButton:SetParent(parent)
CharacterBag0Slot:SetPoint("RIGHT", parent, "LEFT", -5, -1)

local f = function()
	if (  ContainerFrame1.bagsShown > 0 ) then
		MainMenuBarBackpackButton:Show()
	else
		MainMenuBarBackpackButton:Hide()
	end
end
hooksecurefunc("ContainerFrame_OnShow", f)
hooksecurefunc("ContainerFrame_OnHide", f)








local mainbar = {
	PetActionBarFrame,
	BonusActionBarFrame,
	MultiBarRight,
	MultiBarLeft,
	MultiBarBottomRight,
	MultiBarBottomLeft,
	ReputationWatchBar,
}

CreateFrame("Frame", nil, MainMenuBar, 'SecureHandlerShowHideTemplate'):SetAttribute('_onshow', 'self:GetParent():Hide(true)')


local totems = CreateFrame("Frame", "truc", UIParent)

totems:SetWidth(230)
totems:SetHeight(38)
totems:SetPoint("CENTER")

if ( select(2, UnitClass("player")) == "SHAMAN" ) then
	for k, v in next, {MultiCastActionBarFrame:GetChildren()} do
		v:SetParent(totems)
		local point, f, relative, x, y = v:GetPoint()
		v:ClearAllPoints()
		if ( f == MultiCastActionBarFrame ) then f = totems
		end
		v:SetPoint(point, f, relative, x , y)
	end
	RegisterForAnchor(MultiCastSummonSpellButton, totems, true)
else
	table.insert(mainbar, MultiCastActionBarFrame)
end



local function WipeMe(...)
	for i = 1, select('#', ...) do
		select(i, ...):UnregisterAllEvents()
	end
end

for k, v in next, mainbar do
	v:UnregisterAllEvents()
	WipeMe(v:GetChildren())
end


MainMenuBarArtFrame:UnregisterEvent("ACTIONBAR_PAGE_CHANGED")
MainMenuBar:Hide()

local t = {
	CharacterMicroButton, 
	SpellbookMicroButton, 
	TalentMicroButton,
	AchievementMicroButton, 
	QuestLogMicroButton, 
	GuildMicroButton,
	PVPMicroButton,
	LFDMicroButton,
	MainMenuMicroButton,
	HelpMicroButton,
}

for k, v in next, t do
	v:SetParent(UIParent)
	RegisterForAnchor(v, t[1], true)
end


hooksecurefunc("VehicleMenuBar_MoveMicroButtons", function(skinName) 
	if ( not skinName ) then
		local k = t[1]:GetName()
		Library_LoadPoint(k, LibrarySVPC.points[k])

		for k, v in next, t do
			v:SetParent(UIParent)
		end
		WonderBar_UpdateExpBar()
		MainMenuExpBar:ClearAllPoints()
		MainMenuExpBar:SetPoint("BOTTOM")
	end
end)

MainMenuExpBar:SetParent("UIParent")
MainMenuExpBar:ClearAllPoints()
MainMenuExpBar:SetPoint("BOTTOM")


UIErrorsFrame:UnregisterEvent("UI_ERROR_MESSAGE")